.burger {
    outline: none;
    cursor: pointer;
    padding: 11px 14px;
    background-color: $black;
    display: flex;
    @include breakpoint(md-up) {
        display: none;
    }
    &__item {
        position: relative;
        width: 17px;
        height: 2px;
        background-color: white;
        transition-duration: 0.5s;
        transition-delay: 0.5s;
        &:after,
        &:before {
            position: absolute;
            width: 17px;
            height: 2px;
            left: 0;
            background-color: white;
            content: "";
            transition-duration: 0.5s;
            transition: transform 0.5s, top 0.5s 0.5s;
        }
        &:before {
            top: 6px;
        }
        &:after {
            bottom: 6px;
        }
    }
}

.burger.open .burger__item {
    transition-duration: 0.1s;
    transition-delay: 0.5s;
    background: transparent;
    &:before,
    &:after {
        width: 17px;
        transition: top 0.5s, transform 0.5s 0.5s;
        top: 0;
    }
    &:before {
        transform: rotateZ(-45deg);
    }
    &:after {
        transform: rotateZ(45deg);
    }
}